var log = wx.getRealtimeLogManager ? wx.getRealtimeLogManager() : null
const LogInfo = {
	info() {
		if (!log) return
		log.info.apply(log, arguments)
	},
	warn() {
		if (!log) return
		log.warn.apply(log, arguments)
	},
	error() {
		if (!log) return
		log.error.apply(log, arguments)
	},
	setFilterMsg(msg) { // 从基础库2.7.3开始支持
		if (!log || !log.setFilterMsg) return
		if (typeof msg !== 'string') return
		log.setFilterMsg(msg)
	},
	addFilterMsg(msg) { // 从基础库2.8.1开始支持
		if (!log || !log.addFilterMsg) return
		if (typeof msg !== 'string') return
		log.addFilterMsg(msg)
	}
}
// 错误上报
export default function reportErr(errMsg, response) {
	LogInfo.error({
		// 小程序个人信息（需要用户手动授权才会有）
		avatarNick: uni.getStorageSync('avatarNick') || null,
		config: response.config || {},
		response,
		errMsg,
		date: uni.$u.date(Date.now(), 'yyyy年mm月dd日 hh时MM分ss秒')
	});
}
